[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# Hypot

Return hypotenuse of triangle

## Declaration

Source position: math.pp line 384

`function Hypot(`
`x: Float;`
`y: Float`
`):Float;`

## Description

Hypot returns the hypotenuse of the triangle where the sides adjacent to the square angle have lengths x and y. The function uses Pythagoras' rule for this.

## Errors

None.

## Example

    Program Example17;

    { Program to demonstrate the hypot function. }

    Uses math;

    begin
      Writeln(hypot(3,4)); // should be 5
    end.